aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-31 13:29:41 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-31 13:29:41 +0100
commit03ec546a4fbf11ac9e7eafa819c8922685431b49 (patch)
tree0a43606deb6480a6556eb95dec84c79ffa5592f5
parent6caebda97386556caa6a4857ef3a8f009654680f (diff)
downloadpaludis-03ec546a4fbf11ac9e7eafa819c8922685431b49.tar.gz
paludis-03ec546a4fbf11ac9e7eafa819c8922685431b49.tar.xz
Source /etc/profile.env in ebuild.bash
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index e00dae8..b104f0a 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -20,6 +20,11 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
+if [[ -e ${ROOT}/etc/profile.env ]] && ! source "${ROOT}"/etc/profile.env; then
+ echo "error sourcing ${ROOT}/etc/profile.env" >&2
+ exit 123
+fi
+
unalias -a
set +C
unset GZIP BZIP BZIP2 CDPATH GREP_OPTIONS GREP_COLOR GLOBIGNORE